package hugo

type hugoConfig struct {
	BaseURL      string `yaml:"baseURL,omitempty"`
	LanguageCode string `yaml:"languageCode"`
	Title        string `yaml:"title"`
	Theme        string `yaml:"theme"`
	CanonifyURLs bool   `yaml:"canonifyURLs,omitempty"`

	Markup hugoConfigMarkup `yaml:"markup"`
}

type hugoConfigMarkup struct {
	Goldmark hugoGoldmarkConfig `yaml:"goldmark"`
}

type hugoGoldmarkConfig struct {
	Renderer hugoGoldmarkRendererConfig `yaml:"renderer"`
}

type hugoGoldmarkRendererConfig struct {
	Unsafe bool `yaml:"unsafe"`
}
