package handlers

import (
	"fmt"
	"github.com/gofiber/fiber/v3"
)

type IndexHandler struct {
}

func (h IndexHandler) Index(c fiber.Ctx) error {
	prefs := GetPrefCookie(c)
	if prefs.SiteID > 0 {
		return c.Redirect().To(fmt.Sprintf("/sites/%v/posts", prefs.SiteID))
	}

	return c.Render("index", fiber.Map{}, "layouts/main")
}
