package models

type ThemeMeta struct {
	ID   string `json:"id"`
	Name string `json:"name"`
	URL  string `json:"repo"`

	// Indicates that this theme prefers posts have titles.
	PreferTitle bool

	// Indicates that the theme doesn't automatically put titles on pages
	AddTitleToPages bool

	// Page bundle for "blog" posts
	BlogPostBundle string `json:"post_dir"`
}
